<script setup lang="ts">
const props = defineProps<{
  list: string[];
}>();
</script>

<template>
  <div v-if="list" class="@container">
    <div class="grid grid-cols-2 @md:grid-cols-3 @3xl:grid-cols-4 gap-4">
      <div class="bg-sdg-background-light-grey border rounded-3xl p-2 px-4 min-width=0" v-for="item in props.list" :key="item">{{ item }}</div>
    </div>
  </div>
</template>
